API ReferenceEndpointsApplications
Inspect a source and preview its template
Authorization
cloady AuthorizationBearer <token>
Personal API token (cldy_…)
In: header
Path Parameters
workspaceSlug*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/workspaces/string/inspect" \ -H "Content-Type: application/json" \ -d '{ "source": { "type": "git", "repoUrl": "string" } }'{ "name": "string", "owner": "string", "repo": "string", "defaultBranch": "string", "hasDockerfile": true, "deployable": true, "template": { "services": { "property1": { "image": "string", "build": "string", "entrypoint": "string", "command": "string", "environment": { "property1": "string", "property2": "string" }, "env_file": ".env", "ports": [ 1 ], "expose": [ 1 ], "volumes": [ "string" ], "healthcheck": { "test": "string", "interval": "string", "timeout": "string", "start_period": "string", "retries": 1, "disable": true }, "configs": [ "string" ], "depends_on": [ "string" ], "deploy": { "replicas": 0, "resources": { "reservations": { "cpus": 0, "memory": 0 }, "limits": { "cpus": 0, "memory": 0 } } }, "profiles": [ "string" ] }, "property2": { "image": "string", "build": "string", "entrypoint": "string", "command": "string", "environment": { "property1": "string", "property2": "string" }, "env_file": ".env", "ports": [ 1 ], "expose": [ 1 ], "volumes": [ "string" ], "healthcheck": { "test": "string", "interval": "string", "timeout": "string", "start_period": "string", "retries": 1, "disable": true }, "configs": [ "string" ], "depends_on": [ "string" ], "deploy": { "replicas": 0, "resources": { "reservations": { "cpus": 0, "memory": 0 }, "limits": { "cpus": 0, "memory": 0 } } }, "profiles": [ "string" ] } }, "volumes": { "property1": null, "property2": null }, "configs": { "property1": { "content": "string", "file": "string" }, "property2": { "content": "string", "file": "string" } } }, "templateFile": "string", "templateError": "string", "envSchema": { "property1": { "type": "string", "title": "string", "description": "string", "default": null, "enum": [ null ], "secret": true, "generate": "string" }, "property2": { "type": "string", "title": "string", "description": "string", "default": null, "enum": [ null ], "secret": true, "generate": "string" } }, "profileSchema": { "property1": { "title": "string", "description": "string", "type": "string", "enum": [ "string" ], "items": { "enum": [ "string" ] }, "default": "string" }, "property2": { "title": "string", "description": "string", "type": "string", "enum": [ "string" ], "items": { "enum": [ "string" ] }, "default": "string" } }}